dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])
#
# Call these checks when compiling the davfs source package
#

AC_DEFUN([DAVFS_SOURCE_CHECKS],[
	
DAVFS_SSL()

])

#
# Check OpenSSL support or not
#

AC_DEFUN([DAVFS_SSL],[

AC_ARG_WITH(ssl, 
	[  --with-ssl[=DIR]        enable OpenSSL support ],,
	[with_ssl="no"])


AC_MSG_CHECKING(for OpenSSL)

if test "$with_ssl" = "yes"; then
	davfs_ssl_dirs="/usr/local/ssl /usr/ssl /usr"
	davfs_ssl_location=""

	for d in $davfs_ssl_dirs; do
		if test -r $d/include/openssl/ssl.h; then
			davfs_ssl_location=$d
			break
		fi
	done
elif test "$with_ssl" = "no"; then
	davfs_ssl_location=""
else
	if test -r $with_ssl/include/openssl/ssl.h; then
		davfs_ssl_location=$with_ssl
	else
		echo ""
		echo ""
		echo "No SSL Library in $with_ssl Directory."
		echo ""
		exit 1
	fi
fi

if test -n "$davfs_ssl_location"; then
	DAVFS_INCLUDES="-I${davfs_ssl_location}/include"
	DAVFS_LDADD="-L${davfs_ssl_location}/lib"
	DAVFS_CFLAGS="-lssl -lcrypto"
	AC_DEFINE([ENABLE_SSL], 1, [Define to enable OpenSSL support])
	AC_MSG_RESULT(found in $davfs_ssl_location)
	davfs_ssl_message="OpenSSL in $davfs_ssl_location"

	DAVFS_INCLUDES="$DAVFS_INCLUDES"
	DAVFS_LDADD="$DAVFS_LDADD $DAVFS_CFLAGS"
else
	davfs_ssl_message="No SSL support"
	AC_MSG_RESULT(not found)
fi

])


#
# Call these checks when compiling the davfs source package
#

AC_DEFUN([DAVFS_LINUX_SOURCE],[

DAVFS_LINUX_DIR()

])

#
# Check Linux Source Directory
#

AC_DEFUN([DAVFS_LINUX_DIR],[

AC_ARG_WITH(kernel,
	[  --with-kernel[=DIR]		Linux Source Directory ],,
	[with_kernel="no"])

AC_MSG_CHECKING(for Linux Kernel Source)

if test "$with_kernel" = "yes"; then
	davfs_kernel_dirs="/usr/src/linux"
	davfs_kernel_location=""

	for d in $davfs_kernel_dirs; do
		if test -r $d/include/linux/version.h; then
			davfs_kernel_location=$d
			break
		else
			check_flag="no"
		fi
	done
elif test "$with_kernel" = "no"; then
	davfs_kernel_location="/usr/src/linux"
else
	if test -r $with_kernel/include/linux/version.h; then
		davfs_kernel_location=$with_kernel
	else
		echo ""
		echo ""
		echo "No Kernel source in $with_kernel directory." 
		echo ""
		exit 1
	fi
fi

if test -n "$davfs_kernel_location"; then
		DAVFS_KERNELDIR="${davfs_kernel_location}"
else
	davfs_kernel_message="No Kernel Directory"
	AC_MSG_RESULT(not found)
fi

])

